/**
 * Copyright (C) 2012  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.processors;

import java.util.ArrayList;
import java.util.List;

import org.dussan.vaadin.dtable.properties.sorting.Sorting;
import org.dussan.vaadin.dtable.properties.sorting.SortingType;

public class SortingProcessor {

	public static Sorting[] process(Object sortingsObject, String[] headers) {
		if (sortingsObject != null && headers != null) {
			List<Sorting> sortingColumns = new ArrayList<Sorting>();
			for (String sorting : sortingsObject.toString().split("_:_")) {
				try {
					int column = Integer.parseInt(sorting.split(" ")[0]);
					sortingColumns.add(new Sorting(column, headers[column],
							SortingType.type(sorting.split(" ")[1])));
				} catch (Exception e) {
					return null;
				}
			}
			return sortingColumns.toArray(new Sorting[] {});
		}
		return null;
	}

	public static Sorting[] process(Sorting[] sortings, String[] headers) {
		if (sortings != null && headers != null) {
			List<Sorting> sortingColumns = new ArrayList<Sorting>();
			for (Sorting sorting : sortings) {
				int column = sorting.getColumn();
				sortingColumns.add(new Sorting(column, headers[column], sorting
						.getType()));
			}
			return sortingColumns.toArray(new Sorting[] {});
		}
		return null;
	}

}
