/**
 * Copyright (C) 2012  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.properties.sorting;

public interface SortingHelper {

	public boolean isNoSortingColumn();

	public boolean isSortingColumn(int column);

	public Sorting getSortingColumn(int column);

	public void setSortingColumn(int column, SortingType type);

	public Sorting[] getSortingColumns();

	public void setSortingColumns(SortingType type, int... columns);

	public void setSortingColumns(Sorting[] sortings);

	public void removeSortingColumn(int column);

	public void resetSortingColumns();

}
